Bug 213674 - signed messages with attachment don't have icon for attachment
Summary: signed messages with attachment don't have icon for attachment
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-02 14:48 UTC by Matěj Cepl
Modified: 2018-04-11 12:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 19:09:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changed screenshot (previous contained private information) (142.94 KB, image/png)
2006-11-02 15:08 UTC, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 247471 None None None Never

Description Matěj Cepl 2006-11-02 14:48:46 UTC
Description of problem:
PGP signed messages with attachment, don't have the icon indicating attachment
in the list of headers -- see attached screenshot.

Version-Release number of selected component (if applicable):
evolution-2.8.1.1-3.fc6

How reproducible:
100%

Steps to Reproduce:
1.receive PGP signed message w/ attachment
2 [details].try to find in header list, whether it has icon indicating existence of attachment
3 [details].
  
Actual results:
there is no icon

Expected results:
icon marking existence of an attachment

Additional info:

Comment 1 Matěj Cepl 2006-11-02 14:48:46 UTC
Created attachment 140137 [details]
screenshot illustrating missing icon

Comment 2 Matěj Cepl 2006-11-02 15:08:02 UTC
Created attachment 140140 [details]
changed screenshot (previous contained private information)

Comment 5 Michal Babej 2007-09-03 17:20:25 UTC
still present in evolution-2.8.0-40.el5

Comment 6 Matthew Barnes 2007-10-05 15:30:48 UTC
Has Evolution ever displayed such an icon in the message list?
This sounds like a feature request to me.

Comment 7 Matthew Barnes 2007-10-05 20:12:21 UTC
Sorry, I misunderstood the problem.  I read that too fast and thought you wanted
an icon showing that the message was signed.  Setting this back to ASSIGNED.

Comment 8 Matěj Cepl 2007-12-10 21:48:06 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 9 Matěj Cepl 2008-01-09 21:37:25 UTC
Considering comment 5, it should be still active.

Comment 10 Matthew Barnes 2008-01-10 00:40:38 UTC
Please clone this bug for RHEL instead of converting it from Fedora.

Comment 12 Matthew Barnes 2008-01-10 14:40:34 UTC
I just noticed that you NEEDINFO'ed yourself.  :)

Do you know if this is still present in Fedora 8?  If so, we should bump the
version here to F8 and clone it for RHEL5.  If not, we can close this bug and
maybe not bother with a RHEL5 bug since it should be fixed by the 5.2 rebase.

Comment 13 Bug Zapper 2008-11-26 07:04:16 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Matthew Barnes 2008-11-29 05:57:18 UTC
Verified on evolution-2.25.1-1.fc11.i386.  Moving to Rawhide.

Comment 15 Matthew Barnes 2009-01-05 16:18:16 UTC
Found an equivalent upstream bug dating back to 2003:
http://bugzilla.gnome.org/show_bug.cgi?id=247471

I'll try to get some traction on this.

Comment 16 Matthew Barnes 2009-01-05 19:09:56 UTC
Looks like this is going to take some doing to fix.
Moving to the upstream bug where I'll investigate further.

Comment 17 Matěj Cepl 2009-01-06 14:55:39 UTC
(In reply to comment #15)
> Found an equivalent upstream bug dating back to 2003:

Well, this bug is not very fresh either ;-) Going to add myself to CC on the upstream bug.


Note You need to log in before you can comment on or make changes to this bug.